Subject: RE: POS flow control: draft-tsenevir-ppp-flow-00.txt

From: [email-masked]
Date: Tue, 22 May 2001 14:37:18 -0700

> -----Original Message-----
> From: Vernon Schryver [mailto:[email-masked]]
> Sent: Monday, April 30, 2001 16:09
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: POS flow control: draft-tsenevir-ppp-flow-00.txt
> 
> 
> > From: James Carlson <[email-masked]>
> > To: pppext <[email-masked]>
> > Cc: [email-masked], [email-masked]
> 
> > Has anyone else looked at this individual submission?
> 
> yes, from the title and before reading it, I guessed it might be
> another aspect of the strange world of SONET.
> 
> > It is defining new LCP options to negotiate a SONET-and-802.3x
> > specific flow control mechanism for PPP, plus a new control protocol
> > to actually signal flow control.
> >
> > This doesn't sound like a good thing to me.  Implementations are
> > typically expected to buffer as much as practical for 
> expected bursts
> > (250ms+, usually), and to drop otherwise.  Adding flow 
> control in here
> > makes a bad situation worse -- it pushes the buffering back into the
> > network rather than in the hosts where it belongs, and presents TCP
> > with more delay variance.  It sounds like the result of a
> > misunderstanding of how IP-based congestion control works.
> >
> > Is it possible that the original authors just need bigger buffers
> > and/or RED?
> 
> Yes, contrary to the thesis of the Internet Draft, dropping 
> packets is a
> good thing and putting a flow controlling protocol such as TCP above a
> second flow controlling protocol like x.25 or this SONET proposal is a
> quite bad thing except in some special cases.

I've always wondered why L2TP includes flow control for PPP sessions.  In
fact, at an L2TP development meeting in San Ramon, one developer insisted
that "without flow control, L2TP won't work."  I didn't believe it then, and
I still don't.  How does L2TP differ from other bursty links on which PPP
rides (and works without flow control)?

---

From: James Carlson <[email-masked]>
Date: Wed, 23 May 2001 08:02:11 -0400 (EDT)

[email-masked] writes:
> I've always wondered why L2TP includes flow control for PPP
> sessions.

L2TP does not include flow control for PPP sessions.  It has flow
control on its control channel, but not on the data channel.  (There
was data channel flow control in an old draft that had inherited this
flaw from PPTP; it was later eliminated, and it's not in the RFC.)

It does have optional *sequencing* on the data channel.  This is handy
because the PPP state machine and many network layer protocols don't
tolerate reordering, and some networks can reorder packets.  There's
no implied flow control in it, though.

>  In

It doesn't.

-- 
James Carlson, Internet Engineering       <[email-masked]>
SUN Microsystems / 1 Network Drive         71.234W   Vox +1 781 442 2084
MS UBUR02-212 / Burlington MA 01803-2757   42.497N   Fax +1 781 442 1677